#ifndef __wheel_speed_coordinator_H
#define __wheel_speed_coordinator_H



//GLOBAL VARIABLES//////////////////////////////////////////

//float MAX_WHEEL_V_TICKS; //Max velocity; the larger this is, the less time you have
								 //to do other calculations.  Limit is probably around 750
								 


//float deadband;  //deadband value for low motor velocity
//float COMMR;  //Max communication radius


static float k[5];	//controller gains
volatile static float goal[5];	//goal statistics x and y first moments, 3 central second moments

//variables for obstacle avoidance

static volatile float nx;	  // nearest neighbor's center point position, big number so that make sures nx,ny is initialized by the first packet it receives
static volatile float ny; 
static volatile int nid;      // id of the nearest neighbor, assume NOBODY will ever be 100
static volatile int nflag;       // used just for initialization


//////////////////////////////////////////////////////////






//test area boundaries.  robot will stop if it reaches +/-(XLIMIT) or +/-(YLIMIT)
#define XLIMIT 1500.0
#define YLIMIT 1500.0




//FUNCTION PROTOYPES/////////////////////////////////////////
void wheelSpeed(int *vL, int *vR);
void wheelSpeedSingleBot(float gotox, float gotoy, int *vL, int *vR);
int abs(int input);
float fabs(float input);
//////////////////////////////////////////////////////////////



#endif
