// Global vars

#include "global_vars.h"
#include "e_epuck_ports.h"

unsigned char T1_INT_FLAG = 0;

volatile float x_i[NUM_DATA_SETS]={0.0};	//x, current_estimate/decision variables
volatile float u_i[NUM_DATA_SETS]={0.0};	//u, Controller inputs
volatile float w_i[NUM_DATA_SETS]={0.0};	//w, internal estimator state
volatile float x_sum[NUM_DATA_SETS]={0.0};	//running sums
volatile float w_sum[NUM_DATA_SETS]={0.0};



float MAX_WHEEL_V_TICKS = 750.0; //Max velocity; the larger this is, the less time you have
								 //to do other calculations.  Limit is probably around 750
								 


float deadband=0;  //deadband value for low motor velocity
float COMMR = 500000.0;  //Max communication radius

float SAFEDIST = 200.0;	//Distance in mm at which obstacle avoidance will start running.
float MINDIST = 100.0;	//Distance in mm at which obstacle avoidance will dominate the robot's motion.

float u_x_ideal;
float u_y_ideal;


float x_motion_integral = 0;
float y_motion_integral = 0;






